Bug 40572 - [Touch devices] Show virtual keyboard in setup wizard for special characters
[Touch devices] Show virtual keyboard in setup wizard for special characters
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Setup wizard
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Alexander Kramer
Alexander Kläser
:
Depends on: 38567
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 16:55 CET by Alexander Kläser
Modified: 2016-03-18 15:23 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Mobile devices/tablets, Usability
Max CVSS v3 score:


Attachments
Screenshot with wrong padding (272.25 KB, image/png)
2016-03-14 15:57 CET, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2016-02-03 16:55:13 CET
The current implementation does not work properly with touch devices (e.g., iPad mini).

+++ This bug was initially created as a clone of Bug #38567 +++

See Ticket#2015051321000257 and Ticket#2013013021001323.

During the setup of UCS via a virtual appliance, it is possible that particular keys are not routed through to the virtual system (e.g., the apple key on a Macintosh). We received feedback that the users could not type a "@" character for an email address.
Comment 1 Alexander Kramer univentionstaff 2016-02-22 13:43:32 CET
r67600
univention-system-setup (9.0.4-3) 
* Bug #40572: Adapt virtual keyboard for touch devices

Successful build
Package: univention-system-setup
Version: 9.0.4-3.947.201602221329
Branch: ucs_4.1-0
Scope: errata4.1-1

r67603 yaml file
Comment 2 Alexander Kläser univentionstaff 2016-03-14 15:57:23 CET
Created attachment 7533 [details]
Screenshot with wrong padding

Looks fine! Only one thing (cf., screenshot) there is a specific padding=0 missing to make sure the characters are centered:

.umcKeyboardRow .umcKeyboardKey .dijitReset.dijitInline.dijitButtonText {
    /* ... other rules ... */
    padding: 0;
}
Comment 3 Alexander Kramer univentionstaff 2016-03-15 08:12:32 CET
As requested I added the styling

r68085
univention-system-setup (9.0.4-5) 
* Bug #40572: Adapt style for virtual keyboard

Successful build
Package: univention-system-setup
Version: 9.0.4-5.950.201603150804

r68086 yaml file
Comment 4 Alexander Kläser univentionstaff 2016-03-15 16:27:55 CET
OK, looks good now.

→ VERIFIED
Comment 5 Philipp Hahn univentionstaff 2016-03-18 15:23:32 CET
<http://errata.software-univention.de/ucs/4.1/136.html>